/* # Variables
-----------------------------------------------------------------------*/


/* ### Colors */

$dark:    #006277;
$accent:  #F18537;
$border:  #f0f1f2;
$light:   #f4f5f6;
$white:   #ffffff;
$success: #46b450;
$error:   #DC3232;
$info:    #00A0D2;

$button-primary : #0073aa;
$button-danger:   #d32f2f;

/* ### Other */
$site-radius: 0.1rem;
$site-border: 0.1rem solid $border;
$header-border: .3rem solid $accent;

.js-tabcontent[aria-hidden=true] { display: none; }
.js-to_expand[aria-hidden=true],
.js-to_expand[data-hidden=true] {
  display: none;
}

.js-expandmore {
  margin: 0;
  &:before {
    content: '---';
    color: $accent;
  }
}

.expandmore__button {
  padding: .5em;
  background: none;
  border: 1px solid $accent;
  border-radius: 5px;
  font-size: inherit;
  color: inherit;

  span {
    vertical-align: middle;
    font-family: 'dashicons';
  }
}

.expandmore__button[aria-expanded=false] > .expandmore__symbol:after,
.expandmore__button[data-expanded=false] > .expandmore__symbol:after {
  content: "\f347";
}
.expandmore__button[aria-expanded=true] > .expandmore__symbol:after,
.expandmore__button[data-expanded=true] > .expandmore__symbol:after{
  content: "\f343";
}

// Breakpoints.
$breakpoints: (
  xs: 512px,
  sm: 768px,
  md: 896px,
  lg: 1152px,
  xl: 1280px
);


// Media Queries.
@mixin breakpoint( $breakpoint ) {

    @if map-has-key( $breakpoints, $breakpoint ) {

        @media ( max-width: #{ map-get( $breakpoints, $breakpoint ) } ) {
            @content;
        }

    } @else if type_of( $breakpoint ) == number and unit( $breakpoint ) == px or unit( $breakpoint ) == em or unit( $breakpoint ) == rem {

        @media (max-width: $breakpoint ) {
            @content;
        }

    } @else {

        @warn "No value could be retrieved from `#{$breakpoint}`. "
              + "Please make sure it is defined in `$breakpoints` map, or it is a valid number with supported unit of px, em or rem.";
    }

}


/* ### Clearfix */

@mixin clearfix {
  clear: both;

  &:before,
  &:after {
    clear: both;
    display: block;
    content: '';
  }
}

/* ### Transitions */

@mixin transition {
  -webkit-transition: all .25s ease-out;
  -moz-transition: all .25s ease-out;
  -o-transition: all .25s ease-out;
  transition:all .25s ease-out;
}

.toplevel_page_wp-translations-pro #wpwrap {
  position: relative;
}
